List API tokens
GET /api/v1/api_token
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”A valid account ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyAccount ID (defaults to token’s account)
Sort order; a field name, optionally prefixed with - for descending (e.g. -created_at).
Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “ Responses ”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Example
{ "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80}Null
Example
successobject
A valid account ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyA valid agent deployment ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyNull
A valid admin user ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyNull
A valid environment ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyNull
When the token expires
Example
2024-01-01T00:00:00ZA valid API token ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyWhen the token was created
Example
2024-01-01T00:00:00ZCurrent status of the token
Example
activeScope of the token
Example
accountType of resource (always ‘api_token’)
Example
api_tokenWhen the token was last updated
Example
2024-01-01T00:00:00Zdefault
Section titled “default ”Error
object
Example
bad_requestExample
errorobject
Example
validation_errorsExample
error